> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/pay/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/pay/api-endpoints/payouts-api.md).

# Payouts API

### General Information <a href="#general-information" id="general-information"></a>

## Create Payout&#x20;

<mark style="color:green;">`POST`</mark> `https://api.aquanow.io/accounts/v1/transaction`

Generate a payout transaction.&#x20;

#### Request Body

| Name                                              | Type                                                          | Description                                                                                                                                                                                                                                                                                                                                                                      |
| ------------------------------------------------- | ------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| address<mark style="color:red;">\*</mark>         | string                                                        | Address you wish to withdraw to                                                                                                                                                                                                                                                                                                                                                  |
| accountId<mark style="color:red;">\*</mark>       | string                                                        | e.g., `CA1000012R` Specify the `accountId` of the account you wish to make the transaction for                                                                                                                                                                                                                                                                                   |
| deliverCurrency<mark style="color:red;">\*</mark> | string                                                        | Currency delivered by user  to be traded.                                                                                                                                                                                                                                                                                                                                        |
| deliverQuantity<mark style="color:red;">\*</mark> | string                                                        | <p><mark style="color:orange;">NOTE:</mark> Specify either <code>deliverQuantity</code> or <code>receiveQuantity</code>.</p><p></p><p>Quantity of currency delivered by user.</p>                                                                                                                                                                                                |
| receiveCurrency<mark style="color:red;">\*</mark> | string                                                        | Currency  you wish to withdraw                                                                                                                                                                                                                                                                                                                                                   |
| transactionType<mark style="color:red;">\*</mark> | "PAYOUT"                                                      | must be payout                                                                                                                                                                                                                                                                                                                                                                   |
| networkType                                       | string                                                        | <p>e.g., <code>ETH</code> <br>Specify a <code>networkType</code> for symbols that support multiple networks.</p><p>One of <code>ETH</code>, <code>TRON</code>,<code>XLM</code>, <code>FTM</code>, <code>MATIC</code></p><p><mark style="color:orange;">NOTE:</mark> Only applicable to <strong>USDT, USDC, MATIC, and FTM</strong> coins.</p>                                    |
| referenceId<mark style="color:red;">\*</mark>     | string                                                        | <p>Reference Id for a saved counterparty. <br>You must either:<br><br>Create a counterparty beforehand and use the referenceId <br><br>OR<br><br>Provide a referenceId (unique) that you can attach your PII information to. </p>                                                                                                                                                |
| walletType<mark style="color:red;">\*</mark>      | "SELF\_HOSTED" \| "VASP" \| "OTHER"                           | Required if using an address not part of the addressbook and the deliverCurrency is a cryptocurrency. The type of wallet being provided.                                                                                                                                                                                                                                         |
| vaspId                                            | uuid                                                          | <p>Required IF walletType is "VASP".</p><p></p><p>ID of the VASPs hosting the <strong>recipient’s</strong> wallet. You can either fetch the list of ids from our vasps endpoint, or specify "SELF\_HOSTED" or UNKNOWN if not in the list. <br>List of VASPs can be found in the  <a data-mention href="/pages/JoT5VG9JqN4B0al0EhST">/pages/JoT5VG9JqN4B0al0EhST</a> section.</p> |
| kycInfo<mark style="color:red;">\*</mark>         | [object](/pay/data-objects-and-statuses/kyc.md#kycinfoobject) | PII Data required for KYC. This is required ONLY if you have provided a referenceId that is not already in the system.                                                                                                                                                                                                                                                           |

{% tabs %}
{% tab title="200 : Success" %}

```javascript
{
    "orderId": "e324ca67-5eb1-47bd-aa11-6c3ba7e5afb8",
    "txId": "9d5955ff-6142-4ace-80da-3c860c1c4821",
    "transactionType": "PAYOUT",
    "status": "PROCESSING",
    "username": "woojpay",
    "accountId": "CA1001112C",
    "symbol": "USDT",
    "address": "0x279FEC0A6Dd30be27D88E837a1f8cC59bD2Bfc07",
    "deliverQuantity": 10,
    "receiveQuantity": 10.00171,
    "deliverCurrency": "USD",
    "receiveCurrency": "USDT",
    "networkFee": 0,
    "itemDateTime": 1740625055711,
    "referenceId": "clientid231",
    "networkType": "ETH",
    "quoteTime": 1740625055691,
    "expireTime": 1740625083691
}
```

{% endtab %}

{% tab title="400 Provide Wallet Host" %}

{% endtab %}

{% tab title="Provide Reference" %}

{% endtab %}
{% endtabs %}

## Execute Request &#x20;

<mark style="color:green;">`POST`</mark> `https://api.aquanow.io/trades/v1/executeQuote`

Generate a bill under an invoice to get address

#### Request Body

| Name                                      | Type   | Description                                               |
| ----------------------------------------- | ------ | --------------------------------------------------------- |
| quoteId<mark style="color:red;">\*</mark> | String | the orderId generated by the create payout endpoint above |

{% tabs %}
{% tab title="200 Success" %}

```
{
    "type": "rfqExecuteQuoteAck",
    "payload": {
        "accountId": "CA1001112C",
        "quoteId": "5ae24810-5f97-4a81-b15b-7ddf7b678f7a",
        "tradeDate": "2025-02-27",
        "valueDate": "2025-02-28"
    }
}
```

{% endtab %}

{% tab title="400 Quote Expired" %}

```
{
    "message":"The quote has already expired"
} 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/pay/api-endpoints/payouts-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
